Bug 826458 - Gluster - Backend: Exception on adding a brick that is already assigned
Gluster - Backend: Exception on adding a brick that is already assigned
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kanagaraj
gluster
:
Depends On:
Blocks: 825285
  Show dependency treegraph
 
Reported: 2012-05-30 05:01 EDT by Daniel Paikov
Modified: 2016-04-18 06:05 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (31.13 KB, application/x-compressed-tar)
2012-05-30 05:01 EDT, Daniel Paikov
no flags Details
vdsm.log (645.29 KB, application/x-compressed-tar)
2012-05-30 05:01 EDT, Daniel Paikov
no flags Details

  None (edit)
Description Daniel Paikov 2012-05-30 05:01:13 EDT
Created attachment 587647 [details]
engine.log

Trying to add a brick that already belongs to an existing volume triggers an exception. Attaching engine.log and vdsm.log.
Comment 1 Daniel Paikov 2012-05-30 05:01:52 EDT
Created attachment 587648 [details]
vdsm.log
Comment 2 Selvasundaram 2012-06-03 09:57:24 EDT
Fix submitted on patch: http://gerrit.ovirt.org/4989
Comment 3 Daniel Paikov 2012-06-10 09:24:01 EDT
9xJun: No exception anymore, but the error shown to the user is still pretty ugly:

Error while executing action Create Gluster Volume: Volume create failed error: Brick: 10_35_64_205:/vol19 already in use return code: 255
Comment 4 Shireesh 2012-06-11 02:35:13 EDT
The first part of this message (Error while executing action Create Gluster Volume:) is a standard message when an action fails. The error description is:

Volume create failed
error: Brick: 10_35_64_205:/vol19 already in use
return code: 255

The newlines are eaten up when this is shown as HTML. I suggest to make sure that newlines are replaced with <br> tags or the error be displayed in a <pre> tag so that newlines are preserved on screen. The error will then look like:

Error while executing action Create Gluster Volume: Volume create failed
error: Brick: 10_35_64_205:/vol19 already in use
return code: 255

Does it look good to you?
Comment 5 Yaniv Kaul 2012-06-11 02:44:54 EDT
(In reply to comment #4)
> The first part of this message (Error while executing action Create Gluster
> Volume:) is a standard message when an action fails. The error description
> is:
> 
> Volume create failed
> error: Brick: 10_35_64_205:/vol19 already in use
> return code: 255
> 
> The newlines are eaten up when this is shown as HTML. I suggest to make sure
> that newlines are replaced with <br> tags or the error be displayed in a
> <pre> tag so that newlines are preserved on screen. The error will then look
> like:
> 
> Error while executing action Create Gluster Volume: Volume create failed

Should be 'Volume creation failed'
Comment 6 Daniel Paikov 2012-06-11 04:06:21 EDT
(In reply to comment #4)
> The first part of this message (Error while executing action Create Gluster
> Volume:) is a standard message when an action fails. The error description
> is:
> 
> Volume create failed
> error: Brick: 10_35_64_205:/vol19 already in use
> return code: 255
> 
> The newlines are eaten up when this is shown as HTML. I suggest to make sure
> that newlines are replaced with <br> tags or the error be displayed in a
> <pre> tag so that newlines are preserved on screen. The error will then look
> like:
> 
> Error while executing action Create Gluster Volume: Volume create failed
> error: Brick: 10_35_64_205:/vol19 already in use
> return code: 255
> 
> Does it look good to you?

Yes, please add <br> tags and change the underscores back to dots in the IP address to make the error more readable.
Comment 7 Shireesh 2012-06-11 05:02:30 EDT
We will introduce the newlines. However the underscores in brick server ip is coming from glusterfs, so we should't change that. If at all, it should be fixed in glusterfs.
Comment 8 Kanagaraj 2012-06-11 10:25:35 EDT
All the new line characters(\n) will be replaced with <br/> tag before showing the error message.

Patch : http://gerrit.ovirt.org/#/c/5245/
Comment 9 Daniel Paikov 2012-06-18 04:59:19 EDT
Checked on rhsc-2.0.techpreview1-0.scratch.

Note You need to log in before you can comment on or make changes to this bug.